%global _legacy_common_support 1

Name:		roadmap
Version:	1.2.1
Release:	%mkrel 19
Group:		Sciences/Geosciences
License:	GPLv2+
Summary:	GPS Tracker
URL:		http://roadmap.sourceforge.net/
Source0:	http://downloads.sourceforge.net/roadmap/%{name}-%{version}-src.tar.gz
Patch2:		roadmap-1.2.1-mdv-fix-paths.patch
Patch3:		roadmap-1.2.1-mga-use-gpsd3.patch
Requires:	gpsd
BuildRequires:	shapelib-devel 
BuildRequires:	expat-devel
BuildRequires:	gtk+2-devel
BuildRequires:	popt-devel
# To resolve /usr/bin/php file dep at build time
BuildRequires:	php-cli
# due to .php file in /bin/...:
%global __requires_exclude osmgetbmapcore.php

%description 
A navigation system that displays US street maps (from the US Census Bureau)
and tracks a vehicle using GPS. Specific areas can be displayed by selecting
a street address (street number & name, city, and state).
RoadMap can run on iPAQ and Zaurus.


%prep
%setup -q
%autopatch -p1

%build
export CFLAGS="%{optflags} -ffast-math -I%{_includedir}/libshp"
export LDFLAGS="%{ldflags}"

make -C src \
	DESKTOP=GTK2 \
	SHAPEFILES=yes

%install
%make_install -C src \
	DESKTOP=GTK2 \
	INSTALLDIR=%{_prefix} \
	desktopdir=%{buildroot}%{_datadir}/applications

install -m755 src/gtk2/gtkroadgps -D %{buildroot}%{_bindir}/roadgps
install -m755 src/gtk2/gtkroadmap -D %{buildroot}%{_bindir}/roadmap
install -m644 src/icons/roadmap-16.png -D %{buildroot}%{_miconsdir}/%{name}.png
install -m644 src/icons/roadmap-32.png -D %{buildroot}%{_iconsdir}/%{name}.png
install -m644 src/icons/roadmap-48.png -D %{buildroot}%{_liconsdir}/%{name}.png

# not needed
rm -rf doc/Installation

%files
%doc README doc/*
%{_bindir}/*
%{_datadir}/%{name}
%{_mandir}/man1/*.1*
%{_datadir}/pixmaps/*.png
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_datadir}/applications/%{name}.desktop


%changelog
* Fri Aug 21 2020 joequant <joequant> 1.2.1-19.mga8
+ Revision: 1617157
- bump
- fix gcc10 build

* Fri Feb 14 2020 umeabot <umeabot> 1.2.1-17.mga8
+ Revision: 1516502
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 1.2.1-16.mga7
+ Revision: 1300842
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 1.2.1-15.mga7
+ Revision: 950056
- Mageia 6 Mass Rebuild

* Tue Oct 21 2014 tv <tv> 1.2.1-14.mga5
+ Revision: 792301
- try harder to exclude bogus deps

* Wed Oct 15 2014 umeabot <umeabot> 1.2.1-13.mga5
+ Revision: 746112
- Second Mageia 5 Mass Rebuild

* Tue Oct 07 2014 tv <tv> 1.2.1-12.mga5
+ Revision: 737355
- fix excludes

* Fri Oct 03 2014 tv <tv> 1.2.1-11.mga5
+ Revision: 736432
- add excludes for .php file in bindir...

* Wed Oct 01 2014 tv <tv> 1.2.1-10.mga5
+ Revision: 734249
- rebuild for pear deps

* Fri Sep 26 2014 tv <tv> 1.2.1-9.mga5
+ Revision: 725227
- rebuild for bogus file deps

* Tue Sep 16 2014 umeabot <umeabot> 1.2.1-8.mga5
+ Revision: 688686
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.2.1-7.mga4
+ Revision: 518037
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.2.1-6.mga3
+ Revision: 380373
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jul 21 2012 wally <wally> 1.2.1-5.mga3
+ Revision: 273067
- build using our optflags and ldflags
- BR php-cli to resolve file dep at build time
- clean .spec a bit

* Sat Jul 21 2012 solbu <solbu> 1.2.1-4.mga3
+ Revision: 272994
- Import Mandriva package
- Spec cleanup
- Patch: use gpsd3 instead of gpsd2
- Fix License tag

